Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Class AnnotationPainter.SquigglesStrategy

    java.lang.Object
      org.eclipse.jface.text.source.AnnotationPainter.SquigglesStrategy

All Implemented Interfaces:
  AnnotationPainter.IDrawingStrategy

Enclosing class:
  AnnotationPainter

public static class AnnotationPainter.SquigglesStrategy
extends Object
implements AnnotationPainter.IDrawingStrategy

Squiggles drawing strategy.

Since:
  3.0

Constructor Summary
`AnnotationPainter.SquigglesStrategy()`

Method Summary
`void` | `draw(Annotation annotation, GC gc, StyledText textWidget, int offset, int length, Color color)` Draws a decoration of the given length start at the given offset in the given color onto the specified GC.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationPainter.SquigglesStrategy

    public AnnotationPainter.SquigglesStrategy()

Method Detail

### draw

    public void draw(Annotation annotation,
                     GC gc,
                     StyledText textWidget,
                     int offset,
                     int length,
                     Color color)

  Description copied from interface: `AnnotationPainter.IDrawingStrategy`
  Draws a decoration of the given length start at the given offset in the given color onto the specified GC.

  Specified by:
    `draw` in interface `AnnotationPainter.IDrawingStrategy`
  Parameters:
    `annotation` - the annotation to be drawn
    `gc` - the graphical context
    `textWidget` - the text widget to draw on
    `offset` - the offset of the line
    `length` - the length of the line
    `color` - the color of the line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.